#ifndef __WLPNP_H__
#define __WLPNP_H__

/*
 * ---------------------------------------------------------------------------
 * Plug'n'play routines (Should be separated into another file)
 * ---------------------------------------------------------------------------
 */


#define PNP_ADDR_PORT       0x279
#define PNP_WR_PORT         0xA79

#define WL_VENDOR_ID        0x20246D68L

#define DEV_NUM_MAX         64

void NopLoop(void);
BOOL CompareCheckSum(BYTE Data[]);
void GetResourceData(BYTE ResourceData[], int nPort,int nCSN);
void GetSerialID(BYTE SerialID[], int nPnPRdPort);
int  Find_ReadDataPort(void);
int  Find_TotalCSN(int nPort);
void WL_GetDeviceInfo(int CSN,int nPnPReadPort, DWORD *pulBaseAddr, unsigned int *pcIRQ);
void SetupPnPCard(int CSN, int irq, int IOBASE);
BOOL WL_PnpProbe(int nCardIndex, DWORD *pulBaseAddr, unsigned int *pcIRQ);
void WL_PnpSetNonInitCard(DWORD ulBaseAddr, BYTE cIRQ);

#endif /* __WLPNP_H__ */
