#
# Makefile for wavelan2_cs
#

VERS = ?.??

FILES = wl24_cs.mk \
    README.wl24_cs \
    patch-wl24_cs \
    clients/wl24_cs.mk \
    clients/wl24.c \
    clients/wl24.h \
    clients/wl24_cs.c \
    clients/wlapi.c \
    clients/wlapi.h \
    clients/wlioctl.c \
    clients/wlioctl.h \
    clients/wlpnp.c \
    clients/wlpnp.h \
    clients/wlu.1 \
    clients/wlu.c

all:
	$(MAKE) -C clients -f wl24_cs.mk $@

install:
	$(MAKE) -C clients install-modules MODULES=wl24_cs.o
	$(MAKE) -C etc -f wl24_cs.mk $@

dist:
	tar czvf wl24_cs-$(VERS).tar.gz $(FILES)

